#include "cassinitoolsgui.h"
#include "ui_cassinitoolsgui.h"
#include <cassinitools.h>

CassiniToolsGUI::CassiniToolsGUI(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::CassiniToolsGUI)
{
    ui->setupUi(this);
    connect(this->ui->addFolderViewQpb,SIGNAL(clicked()),this,SLOT(addFolderView()));
}

CassiniToolsGUI::~CassiniToolsGUI()
{
    delete ui;
}

void CassiniToolsGUI::addFolderView()
{
    this->fileBrowsers.append(new FileBrowser());
    this->ui->folderViews->addDockWidget(Qt::TopDockWidgetArea,this->fileBrowsers.last());
    this->fileBrowsers.last()->setWindowTitle( QString("Browser %1").arg(this->fileBrowsers.length()));
    this->fileBrowsers.last()->setAllowedAreas(Qt::AllDockWidgetAreas);
    this->fileBrowsers.last()->setNameFilters(QStringList()<<"*.TAB");
    connect(this->fileBrowsers.last(),SIGNAL(fileDoubleClicked(QString)),this,SLOT(plotFile(QString)));
}

void CassiniToolsGUI::plotFile(const QString &File)
{
    CassiniTools::plotFile(File);
}

void CassiniToolsGUI::changeEvent(QEvent *e)
{
    QWidget::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        ui->retranslateUi(this);
        break;
    default:
        break;
    }
}
